//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
	using System.Windows.Forms;
	using System;
	using System.Drawing;
	using Neo.ApplicationFramework.Tools;
	using Neo.ApplicationFramework.Common.Graphics.Logic;
	using Neo.ApplicationFramework.Controls;
	using Neo.ApplicationFramework.Interfaces;
	using Common.Utilities;
	using Core.Api.Service;
	
    
	public partial class Screen1
	{
		ISecurityServiceCF securityService;
	
		private ISecurityServiceCF  SecurityService
		{
			get
			{
				if (securityService == null)
				{
					securityService = ServiceContainerCF.GetServiceSafe<ISecurityServiceCF>();
				}
				return securityService;
			}
		}

		
		void btnLogin_Click(System.Object sender, System.EventArgs e)
		{
			bool success = false;

			
			if (Globals.Tags.PasswordTag.Value.String.Length > 0)
			{
				success = SecurityService.LoginUser(@"User"+Globals.Tags.PasswordTag.Value.String, Globals.Tags.PasswordTag.Value.String);
			}

			if (success) {               
				Globals.Screen2.Show();
			}
			
		}
		
		void textPassword_InputValueChanged(System.Object sender, Core.Api.DataSource.ValueChangedEventArgs e)
		{
			//string passwordValue = Globals.Tags.PasswordTag.Value;
			//textPassword.Value = passwordValue.Substring(passwordValue.Length).PadLeft(passwordValue.Length, '*');
		}
	}
}
